Subject: [os2genau_digest] No. 1477
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 14 Apr 2007 00:00:55 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 13 April 2007
 Number  1477
**************************************************

Subjects for today
 
1  Re:  Firefox Sunbird etc : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Firefox Sunbird etc : John Angelico" <talldad at kepl dot com dot au>
3   Printing problem : Alan Duval <amoht at westnet dot com dot au>
4  Re:  Printing problem : Ken Laurie <ken.laurie at graeleah dot com>
5  Re:  Printing problem : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  Printing problem : Alan Duval <amoht at westnet dot com dot au>
7  Re:  Printing problem : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 13 Apr 2007 07:06:01 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Firefox Sunbird etc

John Angelico wrote:
> On Thu, 12 Apr 2007 06:20:57 +1000, Ed Durrant wrote:
>
>   
>> Hi John,
>>     
>
> Hi Ed and all.
>
>   
>>  Well the symptoms suggest a missing DLL why not run chkdll32 or 
>> PMCHKDLL on the exe to find out which one is either not present or not 
>> in the libpath. 
>>     
>
> OK.
> PMDLL v2.8 by Steve Levine (good guy!) stopped with "Unsupported exe type
> PE"
> but 
> chkdll32 said eventually (whew! - it produced a lot of output)
>
> 	Loading DLL 'MZFNTCFG' --> NOT loaded!
> 	Unable to load DLL 'MZFNTCFG'.  DosLoadModule returned: 2
> 	OS/2 reports 'MZFNTCFG' contributed to the failure. 
>
>   
>> I'd suggest it might be libc05.dll that it's looking for 
>> but it could be anything. By the way, the latest libc06.dll is not a 
>> substitute, it seems that if libc05.dll or linc06 RC1 or libc06 GA 
>> version is used to compile the program, that's the one that you have to 
>> have - there's no backwards compatibility.
>>     
>
> Those are OK as they are *all* in my D:\EXTRADLLS directory.
>
>   
>> You might also want to check that current directory "." is at the start 
>> of libpath and that the current directory is defined as the working 
>> directory in your program object - or alternatively run the exe from the 
>> command line while in its directory.
>>     
>
> "." and ".." are both in libpath. I did run it from the BIN directory of
> D:\Sunbird as well. All I got was consistent results - for which I should
> be thankful :-).
>
> The result above from DLL checking is a bit puzzling.
>
> Surely Font configuration is already in Firefox and companions, so how come
> it isn't loading?
>  
> However, a quick PM_Seek shows that it doesn't exist on my system.
>
> Now, where to find it?
>
> Aha! Search of OS2Site Filepile turns up v3.22 size 419,500 dated
> 2006-07-31. Readme shows it is supposed to be part of the Freetype set... 
>
> Hmm, I have Freetype.dll but why not this DLL?
>
> OK.
>
> Installed it in D:\SUNBIRD\BIN
>
> Sunbird still refuses to run, but doesn't tell me anything.
>
> Chkdll32 still says this DLL is not being loaded.
>
> I have tried it named both in all UPPER case and all lower case. Makes no
> difference.
>
> At least it is consistent; useless and wrong, but consistent :-)
>
> Whilst seeking help, I will try Peter Weilbacher's own site and the 0.3
> version from OS2Site
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>
>
>

>  

>
>   
Just a thought, if this is Font related, I wonder if the program has 
been compiled to expect the Innotek Font engine to be installed - do you 
have this installed ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 13 Apr 2007 08:24:27 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Firefox Sunbird etc

On Fri, 13 Apr 2007 07:06:01 +1000, Ed Durrant wrote:

>Just a thought, if this is Font related, I wonder if the program has 
>been compiled to expect the Innotek Font engine to be installed - do you 
>have this installed ?

Hi Ed.

Yes, I do.

Although it was only me jumping to a conclusion about fonts.

So far all we have is the name of the DLL.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 13 Apr 2007 18:46:10 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Printing problem

Hi,

I have a spreadsheet produced in Lotus Smartsuite 123 and wanted to 
print it but nothing happens. I can print letters from Word Pro and by 
saving the spreadsheet as *.xls  can print it with StarOffice. How do I 
go about fixing the problem with Lotus Smartsuite 123?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 13 Apr 2007 19:06:29 +1000
From:  Ken Laurie <ken.laurie at graeleah dot com>
Subject:  Re:  Printing problem

Hi Alan

How are you printing, foreground or background? I remember having a 
problem printing from Lotus Smartsuite Wordpro, where it would not print 
but would go through the actions of printing. I think I was printing in 
background and solved it by changing to foreground.

regards
Ken

Alan Duval wrote:
> Hi,
> 
> I have a spreadsheet produced in Lotus Smartsuite 123 and wanted to 
> print it but nothing happens. I can print letters from Word Pro and by 
> saving the spreadsheet as *.xls  can print it with StarOffice. How do I 
> go about fixing the problem with Lotus Smartsuite 123?
> 
> Regards,
> 
> Alan Duval
 
> 
> 

> 
> !DSPAM:1,461f44f324361502818797!
> 
> 
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 13 Apr 2007 19:13:10 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Printing problem

Alan Duval wrote:
> Hi,
>
> I have a spreadsheet produced in Lotus Smartsuite 123 and wanted to 
> print it but nothing happens. I can print letters from Word Pro and by 
> saving the spreadsheet as *.xls  can print it with StarOffice. How do 
> I go about fixing the problem with Lotus Smartsuite 123?
>
> Regards,
>
> Alan Duval
 
>
> 

>
If you create a brand new spreadsheet can you print it ?

And when you say nothing happens, is anything sent to the print spooler 
- i.e. is 123 not creating print output or the printer not printing it ?

I do remember this problem, from probably 10 years ago with the 123 
component of Smartsuite. It should be listed on the smartsuite support 
webpages, I have a sort of, memory that it was something to do with the 
way 123 writes to the print spooler, but I could be wrong.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 13 Apr 2007 22:44:36 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Printing problem

Ken Laurie wrote:

> Hi Alan
>
> How are you printing, foreground or background? I remember having a 
> problem printing from Lotus Smartsuite Wordpro, where it would not 
> print but would go through the actions of printing. I think I was 
> printing in background and solved it by changing to foreground.
>
> regards
> Ken

I'm not sure what you mean by printing foreground or background. How do 
I change that? I've looked at the properties of the spreadsheet and the 
printer but can't find anything to do with foreground and background. 
When I click on 'print' the printer dialog window isn't even appearing  
so the program doesn't seem to be connecting with the printer.

>
> Alan Duval wrote:
>
>> Hi,
>>
>> I have a spreadsheet produced in Lotus Smartsuite 123 and wanted to 
>> print it but nothing happens. I can print letters from Word Pro and 
>> by saving the spreadsheet as *.xls  can print it with StarOffice. How 
>> do I go about fixing the problem with Lotus Smartsuite 123?
>>
>> Regards,
>>
>> Alan Duval
>

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 13 Apr 2007 22:48:12 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Printing problem

Ed Durrant wrote:

> Alan Duval wrote:
>
>> Hi,
>>
>> I have a spreadsheet produced in Lotus Smartsuite 123 and wanted to 
>> print it but nothing happens. I can print letters from Word Pro and 
>> by saving the spreadsheet as *.xls  can print it with StarOffice. How 
>> do I go about fixing the problem with Lotus Smartsuite 123?
>>
>> Regards,
>>
>> Alan Duval
> 
>>
>> 
>
>>
> If you create a brand new spreadsheet can you print it ?

No.

>
> And when you say nothing happens, is anything sent to the print 
> spooler - i.e. is 123 not creating print output or the printer not 
> printing it ?

It's not creating print output. As I mentioned to Ken, the print dialog 
window doesn.t even appear when I click on print.

>
> I do remember this problem, from probably 10 years ago with the 123 
> component of Smartsuite. It should be listed on the smartsuite support 
> webpages, I have a sort of, memory that it was something to do with 
> the way 123 writes to the print spooler, but I could be wrong.
>
> Cheers/2
>
> Ed.
 
>
> 

>

----------------------------------------------------------------------------------